---
search:
  tags:
    - clusters
    - GET
seo:
  description: >-
    Returns a cluster. Reference for the GET /cluster/{cluster_id} endpoint in
    the Platform API.
sidebar:
  label: Get a cluster
  badge: GET
title: Get a cluster
type: openapi-operation
---
Returns a cluster.

`GET /cluster/{cluster_id}`

**Responses**

- `200` — Cluster retrieved successfully
- `default` — Error

Response example, 200:

```json
{
  "cloud_provider": "aws",
  "created_at": "2025-06-10T22:16:02Z",
  "deleted_at": "2025-06-10T22:16:02Z",
  "id": "7362e0d0-72ed-c77b-5c42-f9af9d52fd5f",
  "name": "zKC",
  "organization_id": "7a60f26d-0106-02f5-ccf5-98b7c4cdc513",
  "state": "INITIALIZED",
  "update_at": "2025-06-10T22:16:02Z"
}
```
